<template>
	<view>
		<web-view :update-title="false" :webview-styles="webviewStyles" @message="getMessage" :src="webViewSrc"
			style="height: 100%;"></web-view>
	</view>
</template>

<script>
	import {
		getToken
	} from '../../utils/auth';
	let wv // 计划创建的webview
	export default {
		data() {
			return {
				webViewHeight: 0,
				webviewStyles: {
					top: "30px",
				},
				phoneNumber: getStorageSync('mobile'),
				token: getToken()
			};
		},
		computed: {
			webViewSrc() {
				return `http://sgwpdm.ah.sgcc.com.cn/canteen/h5yz/#/pages/stage/index?mobile=${this.phoneNumber}&token=${this.token}`;//生产环境
				// return `http://192.168.0.244:16789/jy-station/#/pages/stage/index?mobile=${this.phoneNumber}&token=${this.token}`;//244
				// return `http://192.168.2.91:8080/#/pages/stage/index?mobile=${this.phoneNumber}&token=${this.token}`;//本地
			}
		},
		onReady() {
			// #ifdef APP-PLUS
			const currentWebview = this.$scope.$getAppWebview() // 获取当前页面的webview对象
			setTimeout(function() {
				wv = currentWebview.children()[0]
				wv.setStyle({
					scalable: true
				})
			}, 1000); // 如果是页面初始化调用时，需要延时一下
			// #endif
			window.addEventListener("message", this.getMessage);
		},
		methods: {
			getMessage(event) { //在H5端使用通信返回App端
				console.log(event, '0000000000000000000000000')
				if (event.data.data.arg.action == 'stage_navigateBack') {
					uni.reLaunch({
						url: '/pages/system'
					});
				}
				if (event.data.data.arg.action == 'logOut') {
					uni.reLaunch({
						url: '/pages/login'
					});
				}
			}
		},
	};
</script>
<style lang="scss" scoped>
	page {
		background: #fff;
	}
</style>